/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#define LEVEL_WIDTH         25
#define LEVEL_HEIGHT        14
#define KBLE_FORMAT_VERSION 0
#define KBLE_HEADER_LEN     6

typedef unsigned int Tile;

struct Level {
	Tile data[LEVEL_WIDTH * LEVEL_HEIGHT];
	int width;
	int height;
	int gold;
	int exit_locked;
};

/* need to set global before call: level_id */
void level_load(void);
void level_draw(void);
